Subject: [MSEC] RE: MIKEY Identity payload question

From: "Fredrik Lindholm (EAB)" <[email-masked]>
Date: Fri, 2 May 2003 12:40:04 +0200

Hi Martin,

> -----Original Message-----
> From: Euchner Martin ICN M SR 3 [mailto:[email-masked]]
> Sent: den 2 maj 2003 11:49
> To: [email-masked]; Euchner Martin ICN M SR 3
> Cc: Elisabetta Carrara (EAB); [email-masked]'
> Subject: MIKEY Identity payload question
> 
> 
> Quick question regarding the IDi, IDr payloads in the MIKEY protocols:
> 
> While IDr is optional in the MIKEY-preshared and public-key 
> protocols, the
> Diffie-Hellman variant is lightly different in that the additional IDi
> reflected by the sender is not optional.
> 
> Is IDi in MIKEY-DHSIGN R_message really a mandatory field even if the
> initiator did not provide any explicit identity information? 

Yes

> This sounds
> like the responder would have to defer the initiator's ID 
> through some other
> means.

Correct (the assumption is basically, if you know how to verify the 
signature, then you also know the ID).
 
> My naive assumption of understanding would be that the IDi at the
> responder's side is understood as an optional field. The 
> responder should
> provide IDi payload at least if an IDi payload was received. 
> Otherwise, if
> no IDi payload had been received, IDi payload would not be 
> responded. Is
> this the intention?

No

The reason for mandating the IDi was mainly to avoid that the 
following attack could take place:

Alice (IDi)       Carol (IDi')       Bob (IDr)

 ---I-mesasge -->
                 Change ID and 
                 add own signature 
                    --- I'-message --->
                                 <--- R-message ---
      <--- R-message ---

<-------------  communication ------------->
I'm talking to Bob!                  I'm talking to Carol!

(You could see this as: Alice should submit her homework to her 
teacher Bob. Carol didn't do her homework but knows that Alice 
is a very good student. Therefore, she would like to send in 
Alice's homework as her own...)

Even though Carol will not be able to eavesdrop on the 
communication, it is still a problem that Bob cannot know
for sure who he is actually talking to. So this was the reason 
why we mandated the IDi in the response of the DH-mode.

> I further assuming that making the ID payloads optional has 
> nothing to do
> with identity protection?

Correct

Best Regards,
Fredrik

> 
> 
> With kind regards
> 
> Martin Euchner.
> --------------------------------------------------------------
> ---------
> | Dipl.-Inf.                     Rapporteur Q.G/SG16
> | Martin Euchner                 Phone: +49 89 722 55790
> | Siemens AG.....................Fax  : +49 89 722 62366
> | ICN M SR 3                     mailto:[email-masked]
> |                                mailto:[email-masked]
> | Hofmannstr. 51                 Intranet:
> http://intranet.icn.siemens.de/marketing/cs27/topics/security/
> | D-81359 Muenchen               Internet: http://www.siemens.de/
> | __________________
> | Germany     
> --------------------------------------------------------------
> ---------
> 

_______________________________________________
msec mailing list
[email-masked]
http://www.pairlist.net/mailman/listinfo/msec